Mail archive
alpine-aports

[alpine-aports] [PATCH] main/altermime: upgrade to 0.3.11

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Sat, 3 Dec 2016 00:03:40 +0200

--
move README & LICENSE to -doc subpackage
tidy up APKBUILD
---
 main/altermime/APKBUILD             | 54 ++++++++++++++++---------------------
 main/altermime/makefile-flags.patch | 17 +++++++-----
 2 files changed, 33 insertions(+), 38 deletions(-)
diff --git a/main/altermime/APKBUILD b/main/altermime/APKBUILD
index a9ad861149..e89227f5d4 100644
--- a/main/altermime/APKBUILD
+++ b/main/altermime/APKBUILD
_at_@ -1,45 +1,37 @@
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
 # Contributor: Natanael Copa <ncopa_at_alpinelinux.org>
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=altermime
-pkgver=0.3.10
+pkgver=0.3.11
 pkgrel=0
-pkgdesc="program alter mime-encoded mailpacks"
-url="http://www.pldaniels.com/altermime/"
+pkgdesc="alterMIME - MIME encoded email pack alteration tool"
+url="http://www.pldaniels.com/$pkgname"
 arch="all"
-license="custom"
-depends=""
-makedepends=""
-install=""
-subpackages=""
-source="http://www.pldaniels.com/altermime/altermime-$pkgver.tar.gz
+license="custom:$pkgname"
+depends=
+makedepends=
+install=
+subpackages="$pkgname-doc"
+source="$url/$pkgname-$pkgver.tar.gz
 	makefile-flags.patch"
-
-_builddir="$srcdir"/altermime-$pkgver
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
+builddir="$srcdir"/$pkgname-$pkgver
 
 build() {
-	cd "$_builddir"
+	cd "$builddir"
 	make || return 1
 }
 
 package() {
-	cd "$_builddir"
-	install -Dm755 altermime "$pkgdir"/usr/bin/altermime || return 1
-	install -Dm644 "$_builddir"/LICENCE \
+	cd "$builddir"
+	install -Dm755 $pkgname "$pkgdir"/usr/bin/$pkgname || return 1
+	install -Dm644 LICENCE \
 		"$pkgdir"/usr/share/licenses/$pkgname/LICENCE || return 1
+	install -Dm644 README \
+		"$pkgdir"/usr/share/doc/$pkgname/README || return 1
 }
-
-md5sums="aaf0ad8029958a2dc6da3abb4dc178c2  altermime-0.3.10.tar.gz
-604775894fa4f8ddd9d44761ce2be2ea  makefile-flags.patch"
-sha256sums="8334da6b55d4a05dfe1492389dfe1f289953053a21773849b060d7c856ddc36e  altermime-0.3.10.tar.gz
-856be6eab5cf3e6c0a310a51e149802acceaef782b822cd574223e5aa75d831e  makefile-flags.patch"
-sha512sums="8be68ef7451e08c39742193571be8fb537bbe68e494d2a1f1347a6a409ef81ef2fc119ab60d101f24ce566c588c471f7fc5ded2f3f9f9b5ed7e8b28ff1f5c29b  altermime-0.3.10.tar.gz
-3b6f4f6d15eb4090db0e5466784d1c29cd9a4e6e2f5de30df9a743d177cb8952bfdcead4973265276c001b2b96734e40744a26d336f9a4d41e5644b35338e3b8  makefile-flags.patch"
+md5sums="429c9ea27712870944faf8e36ef3ece8  altermime-0.3.11.tar.gz
+e93152f7c68b7e0e55ee7c5c8537da85  makefile-flags.patch"
+sha256sums="475ed2710587d24f11d00dafa5c3f6df8ac79e13b8c5d54d2ea35576b579fd97  altermime-0.3.11.tar.gz
+f71d395ab60ebd8e0deccecf3255c5c29bd110ad88e90fb04949850ce47b360c  makefile-flags.patch"
+sha512sums="9e5082abc72a0f0d77ee947c61c654ff7f90151b7d7a7e36819e85420dbd9e7cfdb4d053cebcbfd629380aab3d9998ed802a59212ac5c433d50e006b1558dc5f  altermime-0.3.11.tar.gz
+e80bcedd3aa7aa921d219853dad44ed9060d93b6620589dbcf56346da14d73bb6dea4de2956c97f5e6646e4b989363a881e6340bd0e92cad5b3694ab4afbac29  makefile-flags.patch"
diff --git a/main/altermime/makefile-flags.patch b/main/altermime/makefile-flags.patch
index 71a399051e..3c77a480b0 100644
--- a/main/altermime/makefile-flags.patch
+++ b/main/altermime/makefile-flags.patch
_at_@ -1,21 +1,24 @@
---- ./Makefile.orig
-+++ ./Makefile
-_at_@ -9,7 +9,8 @@
+--- a/Makefile
++++ b/Makefile
+_at_@ -9,17 +9,18 @@
  #								opposite of a disclaimer.
- #ALTERMIME_OPTIONS=-DALTERMIME_PRETEXT
- ALTERMIME_OPTIONS=
+ ALTERMIME_OPTIONS=-DALTERMIME_PRETEXT
+ #ALTERMIME_OPTIONS=
 -CFLAGS=-Wall -Werror -g -I. -O2 $(ALTERMIME_OPTIONS)
 +CFLAGS?=-Wall -Werror -g -I. -O2
 +CFLAGS+=$(ALTERMIME_OPTIONS)
  OBJS= strstack.o mime_alter.o ffget.o pldstr.o filename-filters.o logger.o MIME_headers.o libmime-decoders.o boundary-stack.o qpe.o
  
  
-_at_@ -19,7 +20,7 @@
+ .c.o:
+-	${CC} ${CFLAGS} -c $*.c
++	${CC} ${CFLAGS} ${LDFLAGS} -c $*.c
+ 
  all: altermime
  
  altermime: altermime.c ${OBJS}
 -	${CC} ${CFLAGS} altermime.c ${OBJS} -o altermime
-+	${CC} ${CFLAGS} altermime.c ${OBJS} ${LDFLAGS} -o altermime
++	${CC} ${CFLAGS} ${LDFLAGS} altermime.c ${OBJS} -o altermime
  
  
  # Build Install
-- 
2.11.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Dec 03 2016 - 00:03:40 GMT